Package org.eclipse.emf.cdo.server.db.mapping

## Interface IClassMappingUnitSupport

- All Superinterfaces:
    `IClassMapping`

      public interface IClassMappingUnitSupport
      extends IClassMapping

  An extension interface for `class mappings` that support units.
  Since:
    4.4
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `readUnitRevisions​(IDBStoreAccessor accessor, CDOBranchPoint branchPoint, CDOID rootID, CDORevisionHandler revisionHandler)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IClassMapping

      `createObjectIDStatement, createResourceQueryStatement, detachObject, getDBTables, getEClass, getListMapping, getListMappings, getValueMappings, handleRevisions, queryXRefs, readChangeSet, readRevision, writeRevision`

- - ### Method Detail

    - #### readUnitRevisions

          void readUnitRevisions​(IDBStoreAccessor accessor,
                                 CDOBranchPoint branchPoint,
                                 CDOID rootID,
                                 CDORevisionHandler revisionHandler)
                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`